> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download LinkedIn message attachment

> Streams a single LinkedIn attachment by attachment ID.



## OpenAPI

````yaml /openapi/salesforge-publicapi.json get /workspaces/{workspaceID}/threads/{threadID}/linkedin/messages/{messageID}/attachments/{attachmentID}
openapi: 3.1.0
info:
  description: Get mailboxes associated with the workspace.
  termsOfService: https://www.salesforge.ai/terms
  title: Salesforge API
  version: '2.0'
servers:
  - url: api.salesforge.ai/public/v2
security:
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /workspaces/{workspaceID}/threads/{threadID}/linkedin/messages/{messageID}/attachments/{attachmentID}:
    get:
      tags:
        - linkedin
      summary: Download LinkedIn message attachment
      description: Streams a single LinkedIn attachment by attachment ID.
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Thread ID
          in: path
          name: threadID
          required: true
          schema:
            type: string
        - description: LinkedIn message ID
          in: path
          name: messageID
          required: true
          schema:
            type: string
        - description: LinkedIn attachment ID
          in: path
          name: attachmentID
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/octet-stream:
              schema:
                format: binary
                type: string
          description: Binary attachment
        '404':
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Thread, LinkedIn message or attachment not found
        '500':
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    errors.Error:
      allOf:
        - $ref: '#/components/schemas/data'
      properties:
        data: {}
        message:
          type: string
      type: object
    data:
      properties:
        data:
          items:
            $ref: '#/components/schemas/api.WebhookResponse'
          type: array
      type: object
    api.WebhookResponse:
      properties:
        id:
          type: string
        name:
          type: string
        sentCount:
          type: integer
        sequenceId:
          type: string
        type:
          $ref: '#/components/schemas/webhooks.WebhookType'
        url:
          type: string
      type: object
    webhooks.WebhookType:
      enum:
        - email_sent
        - email_opened
        - link_clicked
        - email_replied
        - linkedin_replied
        - contact_unsubscribed
        - email_bounced
        - positive_reply
        - negative_reply
        - label_changed
        - dnc_added
        - email_sent
        - email_opened
        - link_clicked
        - email_replied
        - linkedin_replied
        - contact_unsubscribed
        - email_bounced
        - positive_reply
        - negative_reply
        - label_changed
      type: string
      x-enum-varnames:
        - WebhookTypeEmailSent
        - WebhookTypeEmailOpened
        - WebhookTypeLinkClicked
        - WebhookTypeEmailReplied
        - WebhookTypeLinkedinReplied
        - WebhookTypeContactUnsubscribed
        - WebhookTypeEmailBounced
        - WebhookTypePositiveReply
        - WebhookTypeNegativeReply
        - WebhookTypeLabelChanged
        - WebhookTypeDNCAdded
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````